Page MenuHomePhabricator

Don't strip links when pasting HTML into Flow VisualEditor
Closed, ResolvedPublic1 Story Points

Description

Currently when copying and pasting HTML to a VisualEditor form, the links are stripped. As far as I'm aware, this is not a technical restrictiong but a social one: we usually don't want direct links in the body of Wikipedia article, and similar content pages.

Still, there are many other situations where keeping those links in pasted text is very useful, and having to create them manually again is very tediious, For instance, in discussions.

Maybe a first improvement to the current situation would be to keep stripping links in Main namespace, but preserve them in the rest of namespaces.

If there is a possibility to configure this, then maybe even some Wikimedia wikis would like to default to keep links also in Main. For instance, in mediawiki.org or Meta I have missed the stripped links quite often. Third party MediaWiki users might just want to preserve links always as well.

Event Timeline

QuimGil created this task.Mar 14 2016, 9:16 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMar 14 2016, 9:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 277230 had a related patch set uploaded (by Esanders):
Unblock pasting of links in VE

https://gerrit.wikimedia.org/r/277230

The above patch whitelists link pasting in Flow.

Whitelisting Flow is a good idea. Thank you!

Change 277230 merged by jenkins-bot:
Unblock pasting of links in VE

https://gerrit.wikimedia.org/r/277230

Jdforrester-WMF renamed this task from Don't strip links when pasting HTML to VisualEditor form in non-Main namespaces to Don't strip links when pasting HTML into Flow VisualEditor .Mar 15 2016, 5:50 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Leaving to Collaboration to mark as resolved.

Checked in beta - all straightforward cases for copying/pasting on Flow boards in VE mode work:

  • pasting internal/external links within the board or from other sites
  • internal and external links are differentiated when pasted
  • copying/pasting links that are part of the board, e.g user names. Reply, Thank.
  • pasted links are properly displayed in Notifications ( i.e. as text excerpts)

There are three small issues(they might be non-issues at all) with copying/pasting - filed as T130172: [betalabs] issues with Pasting Flow board specific links

  • pasting 'Edit description' link will be displayed as [null edit Description]
  • the user name copied from Flow board will be displayed as external links
  • copied options Reply/Thank links will be displayed as external links

@Etonkovidova notes hree small issues(they might be non-issues at all) with copying/pasting:

pasting 'Edit description' link will be displayed as [null edit Description]
the user name copied from Flow board will be displayed as external links
copied options Reply/Thank links will be displayed as external links

@Jdforrester-WMF, are those problems we should fix or should we close this ticket?

The bug has been renamed to be just about Flow. If that is going to stay the case we need to open another bug for other namespaces.

There are three small issues(they might be non-issues at all) with copying/pasting - filed as T130172: [betalabs] issues with Pasting Flow board specific links

  • pasting 'Edit description' link will be displayed as [null edit Description]
  • the user name copied from Flow board will be displayed as external links
  • copied options Reply/Thank links will be displayed as external links

I don't think these are things we should be expecting that people want to copy.

jmatazzoni closed this task as Resolved.Mar 23 2016, 7:07 PM

Of these various copy-paste issues, @Esanders writes:

I don't think these are things we should be expecting that people want to copy.

It sounds like Ed thinks these are non-issues, so I'm closing this ticket.

Jdforrester-WMF set the point value for this task to 1.May 10 2016, 1:23 AM